#ifndef _FONT2_
#define _FONT2_

#include <GL/gl.h>
#include <GL/glu.h>
#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>

#include <math.h>
#include "../iGloobus.h"


class Font2
{
	public:
	
	TTF_Font* 			m_font;
	TTF_Font*			m_font2;
	SDL_Color 			m_color;
	SDL_Rect 			m_position;
	int 				m_font_height;

	int					init();

	//private:
	void 				glDisable2D();
	void 				glEnable2D();
	void 				SDL_GL_RenderText(string text, SDL_Rect *location,int type);
	void				set_position(int x, int y);
	void				set_font_height(int h);

};

#endif
