// =================================== GLOOBUS =============================================== //
// ==																						== //	
// ==  Gloobus, a quicklook for linux														== //
// ==																						== //
// ==	Project site: http://launchpad.net/gloobus 											== //
// ==																						== //
// ==	This is a quicklook for linux, it is based on a plugin architecture so everyone can == //
// ==   develop his own plugin to preview any filetype and do whatever it wants				== //
// ==																						== //
// ==   Plase, consider to donate cause it takes me a lot of time and efforts, and you know,== //
// ==   getting a recompense for you job allways makes you do it better						== //
// ==																						== //
// ==																						== //
// ==	Auhtor: Jordi Hernandez Puigdellívol <guitarboy000@gmail.com>						== //
// =========================================================================================== //   

#include <dlfcn.h>

#include <map>
#include <vector>
#include <list>
#include <magic.h>				// To know the filetype

#include "iGloobus.h"


#define MANAGER_VERSION 1

using namespace std;

class pluginManager
{

	private:
		list<void*> 			m_dl_list;
  		list<void *>::iterator  m_itr;

		

	public:
								pluginManager();	
								~pluginManager();

		void 					load_plugins();
		void					unload_plugins();
		string					search_plugin_for_file(string);  	//Returns the key name of plugin
};


