#ifndef _FONT_
#define _FONT_

#include <GL/gl.h>
#include <GL/glu.h>
#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>

#include "pluginManager.h"
#include <math.h>


class Font2
{
	public:
	
	TTF_Font* 			m_font;
	SDL_Color 			m_color;
	SDL_Rect 			m_position;

	int					init();

	//private:
	void 				glDisable2D();
	void 				glEnable2D();
	void 				SDL_GL_RenderText(string text, SDL_Rect *location);
	void				set_window_size(int w,int h);

};

#endif
